Subject: RE: A few thoughts on processes WAS (Re: Alternative decision process in RTCWeb)

From: Eric Gray <[email-masked]>
Date: Fri, 6 Dec 2013 17:23:55 +0000

Dave,

	It's possible you've misunderstood Gonzalo, or that you're missing part of
the point.

	In the first point that you question below, the words "that will be put forward
for such evaluation" seems likely to be relevant to the process for "choosing among 
them" (where "them" in this case seems to refer to the "large number of documents"
in Magnus' posting).

	Many of the proposals made in the IETF fail to be chosen for advancement.  It
seems likely to me that many IETF participants would like to understand how a decision 
to ignore some proposals and advance others is made.

	In your second point, you compare the performance of financial results (only
- at best - grossly attributable to behavior of arbitrary groups of people) to predictability
of individuals, both based on prior behaviors.  I suspect many would agree that behavior 
of individuals is notably more predictable than behavior of arbitrary groups of people.

--
Eric

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Dave Crocker
Sent: Friday, December 06, 2013 11:40 AM
To: Gonzalo Camarillo; IETF Discussion
Cc: [email-masked]
Subject: Re: A few thoughts on processes WAS (Re: Alternative decision process in RTCWeb)

Gonzalo,

On 12/6/2013 2:57 AM, Gonzalo Camarillo wrote:
> Where people seem to disagree, often strongly, is on how proposals that
> will be put forward for such evaluation by the WG and the IETF community
> can be generated.

That's odd.  I hadn't even noticed that that was part of the proposal 
for voting circulated to the community, nor that it was a focus of 
responses.

 From Magnus' original posting of the proposal:

      "A large number of documents, over an extended period of time, 
with nothing published, suggests some deep and serious problems for an 
effort in the IETF."

That's not about generating proposals but about choosing among them.

> On a related note, there have been some comments about the RTCWeb chairs
> effectively attacking the IETF principles. I think those comments are
> unfair. We are talking about three former ADs in different areas all of
> whom have made significant contributions to the IETF community along
> many years.

As financial reports often note: "Past performance is not a guarantee of 
future returns..."

More significantly, Gonzalo, you've just invoked an ad hominem argument 
as a defense (or justification.)  It's no more legitimate as a defense 
than as an attack.  Stated simply:  the nature of the people who made 
the proposal is irrelevant.  What matters is the nature of the proposal.

And my own reading of the criticisms of the proposal that was circulated 
was that they did primarily focus on the nature of the proposal, rather 
than on the nature of the proposal's authors.

But as long as you've made this personal, what happened to the general 
preference in the IETF -- especially for efforts that are complex or 
otherwise difficult -- to have working group chairs /not/ be document 
authors, so that the chairs can focus on /neutral/ efforts at managing 
the process?

While there are never guarantees about the progress of an IETF working 
group, such a separation might have had strategic benefit for this 
effort.  I note a number of points of broader concern about this working 
group:

    1.  Chartered 1.5 years ago.

    2.  11 working group drafts, with 13 related drafts.

    3.  Nothing yet published.  No overviews, architectures,
     use cases or anything else foundational, nevermind actual
     specifications.

    4.  WG can't even resolve choice of a component technology

Frankly it does not help that the effort already seems to have excellent 
market and IETF mindshare as the 'future' of Internet 'rich 
communications'.  Even the recent IAOC request for a volunteer is 
calling for "exposure" to the technology -- although the technology 
isn't stable.

A large number of documents, over an extended period of time, with 
nothing published, suggests some deep and serious problems for an effort 
in the IETF..

What am I mis-understanding?

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net